## libsemanage 1.4

=== Makefile ===
all: 
	$(MAKE) -C src all

install: 
	$(MAKE) -C include install
	$(MAKE) -C src install

relabel:

clean:
	$(MAKE) -C src clean

=== include/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCDIR ?= $(PREFIX)/include/semanage

install:
	test -d $(INCDIR) || install -m 755 -d $(INCDIR)
	install -m 644 $(wildcard semanage/*.h) $(INCDIR)

=== src/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= $(DESTDIR)/lib
INCLUDEDIR ?= $(PREFIX)/include
PYLIBVER ?= python2.4
PYINC ?= /usr/include/${PYLIBVER}
PYLIBDIR ?= $(LIBDIR)/${PYLIBVER}

DEFAULT_SEMANAGE_CONF_LOCATION=$(DESTDIR)/etc/selinux/semanage.conf

ifeq ($(DEBUG),1)
	export CFLAGS = -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow
	export LDFLAGS = -g
endif

LEX = flex
LFLAGS = -s
YACC = bison
YFLAGS = -d

LIBVERSION = 1

LIBA=libsemanage.a
TARGET=libsemanage.so
SWIGIF= semanageswig.i
SWIGCOUT= semanageswig_wrap.c
SWIGLOBJ:= $(patsubst %.c,%.lo,$(SWIGCOUT)) 
SWIGSO=_semanage.so
SWIGFILES=$(SWIGSO) semanage.py 
LIBSO=$(TARGET).$(LIBVERSION)
OBJS= $(patsubst %.c,%.o,$(filter-out $(SWIGCOUT),$(wildcard *.c))) conf-scan.o conf-parse.o
LOBJS= $(patsubst %.c,%.lo,$(filter-out $(SWIGCOUT),$(wildcard *.c))) conf-scan.lo conf-parse.lo
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter

override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE 

SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./

all: $(LIBA) $(LIBSO) $(SWIGSO)

pywrap: all $(SWIGLOBJ) $(SWIGSO) 

$(SWIGLOBJ): $(SWIGCOUT)
	$(CC) $(CFLAGS) -I$(PYINC) -fpic -DSHARED -c -o $@ $<

$(SWIGSO): $(SWIGLOBJ)
	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs

$(LIBA): $(OBJS)
	$(AR) rcs $@ $^
	ranlib $@

$(LIBSO): $(LOBJS)
	$(CC) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
	ln -sf $@ $(TARGET)

conf-scan.c: conf-scan.l conf-parse.h
	$(LEX) $(LFLAGS) -t $< > $@

conf-parse.c: conf-parse.y
	$(YACC) $(YFLAGS) -o $@ $<

conf-parse.h: conf-parse.c

%.o:  %.c 
	$(CC) $(CFLAGS) -c -o $@ $<

%.lo:  %.c
	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<

$(SWIGCOUT): $(SWIGIF)
	$(SWIG) $^

swigify: $(SWIGIF)
	$(SWIG) $^

install: all install-pywrap 
	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
	install -m 644 $(LIBA) $(LIBDIR)
	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
	install -m 755 $(LIBSO) $(SHLIBDIR)
	install -m 644 -D semanage.conf $(DEFAULT_SEMANAGE_CONF_LOCATION)
	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)

install-pywrap: pywrap 
	test -d $(PYLIBDIR)/site-packages || install -m 755 -d $(PYLIBDIR)/site-packages
	install -m 755 $(SWIGFILES) $(PYLIBDIR)/site-packages

clean: 
	rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c

distclean: clean
	rm -f $(SWIGCOUT) $(SWIGFILES)

.PHONY: all clean pywrap swigify install install-pywrap distclean

## libsemanage 1.6

=== Makefile ===
all: 
	$(MAKE) -C src all

pywrap: 
	$(MAKE) -C src pywrap

install: 
	$(MAKE) -C include install
	$(MAKE) -C src install
	$(MAKE) -C man install

install-pywrap: 
	$(MAKE) -C src install-pywrap

relabel:
	$(MAKE) -C src relabel

clean distclean:
	$(MAKE) -C src $@

=== src/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 LIBA=libsemanage.a
 TARGET=libsemanage.so
-SWIGIF= semanageswig.i
+SWIGIF= semanageswig_python.i
 SWIGCOUT= semanageswig_wrap.c
 SWIGLOBJ:= $(patsubst %.c,%.lo,$(SWIGCOUT)) 
 SWIGSO=_semanage.so
@@ -37,7 +37,7 @@
 
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
 
-all: $(LIBA) $(LIBSO) $(SWIGSO)
+all: $(LIBA) $(LIBSO) 
 
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
@@ -75,7 +75,7 @@
 swigify: $(SWIGIF)
 	$(SWIG) $^
 
-install: all install-pywrap 
+install: all 
 	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
 	install -m 644 $(LIBA) $(LIBDIR)
 	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
@@ -87,6 +87,9 @@
 	test -d $(PYLIBDIR)/site-packages || install -m 755 -d $(PYLIBDIR)/site-packages
 	install -m 755 $(SWIGFILES) $(PYLIBDIR)/site-packages
 
+relabel:
+	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
+
 clean: 
 	rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c

## libsemanage 1.8

=== Makefile ===
--- 
+++ 
@@ -17,4 +17,10 @@
 
 clean distclean:
 	$(MAKE) -C src $@
+	$(MAKE) -C tests $@
 
+indent:
+	$(MAKE) -C src $@
+	$(MAKE) -C include $@
+
+test:

=== include/Makefile ===
--- 
+++ 
@@ -5,3 +5,6 @@
 install:
 	test -d $(INCDIR) || install -m 755 -d $(INCDIR)
 	install -m 644 $(wildcard semanage/*.h) $(INCDIR)
+
+indent:
+	../../Lindent $(wildcard semanage/*.h)

=== man/Makefile ===
# Installation directories.
MAN3DIR ?= $(DESTDIR)/usr/share/man/man3

install:
	mkdir -p $(MAN3DIR)
	install -m 644 man3/*.3 $(MAN3DIR)

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIBDIR ?= $(PREFIX)/lib
 SHLIBDIR ?= $(DESTDIR)/lib
 INCLUDEDIR ?= $(PREFIX)/include
-PYLIBVER ?= python2.4
+PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
 PYINC ?= /usr/include/${PYLIBVER}
 PYLIBDIR ?= $(LIBDIR)/${PYLIBVER}
 
@@ -36,6 +36,8 @@
 override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE 
 
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
+
+GENERATED=$(SWIGCOUT) $(wildcard conf-*.[ch])
 
 all: $(LIBA) $(LIBSO) 
 
@@ -80,7 +82,7 @@
 	install -m 644 $(LIBA) $(LIBDIR)
 	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
 	install -m 755 $(LIBSO) $(SHLIBDIR)
-	install -m 644 -D semanage.conf $(DEFAULT_SEMANAGE_CONF_LOCATION)
+	test -f $(DEFAULT_SEMANAGE_CONF_LOCATION) || install -m 644 -D semanage.conf $(DEFAULT_SEMANAGE_CONF_LOCATION)
 	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)
 
 install-pywrap: pywrap 
@@ -96,4 +98,7 @@
 distclean: clean
 	rm -f $(SWIGCOUT) $(SWIGFILES)
 
+indent:
+	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+
 .PHONY: all clean pywrap swigify install install-pywrap distclean

=== tests/Makefile ===
# Add your test source files here:
SOURCES = $(wildcard *.c)

# Point this variable to the libsemanage source directory you want to test:
TESTSRC=../src

# Add the required external object files here:
LIBS = ../src/libsemanage.a ../../libselinux/src/libselinux.a ../../libsepol/src/libsepol.a

###########################################################################

EXECUTABLE = libsemanage-tests
CC = gcc
CFLAGS = -c -g -o0 -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter
INCLUDE = -I$(TESTSRC) -I$(TESTSRC)/../include/semanage
LDFLAGS = -lcunit
OBJECTS = $(SOURCES:.c=.o) 

all: $(EXECUTABLE) 

$(EXECUTABLE): $(OBJECTS) 
	$(CC) $(OBJECTS) $(LIBS) $(LDFLAGS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDE) $*.c -o $*.o

clean distclean: 
	rm -rf $(OBJECTS) $(EXECUTABLE)

test: all 
	./$(EXECUTABLE)

## libsemanage 2.0.3

=== Makefile ===
--- 
+++ 
@@ -23,4 +23,5 @@
 	$(MAKE) -C src $@
 	$(MAKE) -C include $@
 
-test:
+test: all
+	$(MAKE) -C tests test

=== src/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
 $(SWIGLOBJ): $(SWIGCOUT)
-	$(CC) $(CFLAGS) -I$(PYINC) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGSO): $(SWIGLOBJ)
 	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
@@ -69,7 +69,7 @@
 	$(CC) $(CFLAGS) -c -o $@ $<
 
 %.lo:  %.c
-	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^
@@ -99,6 +99,6 @@
 	rm -f $(SWIGCOUT) $(SWIGFILES)
 
 indent:
-	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
 
 .PHONY: all clean pywrap swigify install install-pywrap distclean

## libsemanage 2.0.23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 all: 
 	$(MAKE) -C src all
+
+swigify:
+	$(MAKE) -C src swigify
 
 pywrap: 
 	$(MAKE) -C src pywrap

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEFAULT_SEMANAGE_CONF_LOCATION=$(DESTDIR)/etc/selinux/semanage.conf
 
 ifeq ($(DEBUG),1)
-	export CFLAGS = -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow
+	export CFLAGS = -g3 -O0 -gdwarf-2 -fno-strict-aliasing -Wall -Wshadow -Werror
 	export LDFLAGS = -g
 endif
 
@@ -44,17 +44,17 @@
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
 $(SWIGLOBJ): $(SWIGCOUT)
-	$(CC) $(CFLAGS) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGSO): $(SWIGLOBJ)
-	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
 
 $(LIBA): $(OBJS)
 	$(AR) rcs $@ $^
 	ranlib $@
 
 $(LIBSO): $(LOBJS)
-	$(CC) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -lustr -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
 	ln -sf $@ $(TARGET)
 
 conf-scan.c: conf-scan.l conf-parse.h

## libsemanage 2.0.25

=== src/Makefile ===
--- 
+++ 
@@ -71,6 +71,18 @@
 %.lo:  %.c
 	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
+conf-parse.o:  conf-parse.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<
+
+conf-parse.lo:  conf-parse.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+
+conf-scan.o:  conf-scan.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<
+
+conf-scan.lo:  conf-scan.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^

=== tests/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 CC = gcc
 CFLAGS = -c -g -o0 -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter
 INCLUDE = -I$(TESTSRC) -I$(TESTSRC)/../include/semanage
-LDFLAGS = -lcunit
+LDFLAGS = -lcunit -lustr
 OBJECTS = $(SOURCES:.c=.o) 
 
 all: $(EXECUTABLE)

## libsemanage 2.0.33

=== src/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
 PYINC ?= /usr/include/${PYLIBVER}
 PYLIBDIR ?= $(LIBDIR)/${PYLIBVER}
+RUBYLIBVER ?= $(shell ruby -e 'print RUBY_VERSION.split(".")[0..1].join(".")')
+RUBYPLATFORM ?= $(shell ruby -e 'print RUBY_PLATFORM')
+RUBYINC ?= $(LIBDIR)/ruby/$(RUBYLIBVER)/$(RUBYPLATFORM)
+RUBYINSTALL ?= $(LIBDIR)/ruby/site_ruby/$(RUBYLIBVER)/$(RUBYPLATFORM)
 
 DEFAULT_SEMANAGE_CONF_LOCATION=$(DESTDIR)/etc/selinux/semanage.conf
 
@@ -24,37 +28,55 @@
 LIBA=libsemanage.a
 TARGET=libsemanage.so
 SWIGIF= semanageswig_python.i
+SWIGRUBYIF= semanageswig_ruby.i
 SWIGCOUT= semanageswig_wrap.c
+SWIGRUBYCOUT= semanageswig_ruby_wrap.c
 SWIGLOBJ:= $(patsubst %.c,%.lo,$(SWIGCOUT)) 
+SWIGRUBYLOBJ:= $(patsubst %.c,%.lo,$(SWIGRUBYCOUT)) 
 SWIGSO=_semanage.so
 SWIGFILES=$(SWIGSO) semanage.py 
+SWIGRUBYSO=_rubysemanage.so
 LIBSO=$(TARGET).$(LIBVERSION)
-OBJS= $(patsubst %.c,%.o,$(filter-out $(SWIGCOUT),$(wildcard *.c))) conf-scan.o conf-parse.o
-LOBJS= $(patsubst %.c,%.lo,$(filter-out $(SWIGCOUT),$(wildcard *.c))) conf-scan.lo conf-parse.lo
-CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter
+
+SWIGGEN=$(SWIGCOUT) $(SWIGRUBYCOUT)
+SRCS= $(filter-out $(SWIGGEN),$(wildcard *.c))
+
+OBJS= $(patsubst %.c,%.o,$(SRCS)) conf-scan.o conf-parse.o
+LOBJS= $(patsubst %.c,%.lo,$(SRCS)) conf-scan.lo conf-parse.lo
+CFLAGS ?= -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter
 
 override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE 
 
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
 
-GENERATED=$(SWIGCOUT) $(wildcard conf-*.[ch])
+SWIGRUBY = swig -Wall -ruby -o $(SWIGRUBYCOUT) -outdir ./
+
+GENERATED=$(SWIGCOUT) $(SWIGRUBYCOUT) $(wildcard conf-*.[ch])
 
 all: $(LIBA) $(LIBSO) 
 
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
+rubywrap: all $(SWIGRUBYSO)
+
 $(SWIGLOBJ): $(SWIGCOUT)
 	$(CC) $(filter-out -Werror, $(CFLAGS)) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
 
+$(SWIGRUBYLOBJ): $(SWIGRUBYCOUT)
+	$(CC) $(filter-out -Werror,$(CFLAGS)) -I$(RUBYINC) -fPIC -DSHARED -c -o $@ $<
+
 $(SWIGSO): $(SWIGLOBJ)
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
+
+$(SWIGRUBYSO): $(SWIGRUBYLOBJ)
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -L. -lsemanage -L$(LIBDIR) -Wl,-soname,$@
 
 $(LIBA): $(OBJS)
 	$(AR) rcs $@ $^
 	ranlib $@
 
 $(LIBSO): $(LOBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -lustr -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -lbz2 -lustr -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
 	ln -sf $@ $(TARGET)
 
 conf-scan.c: conf-scan.l conf-parse.h
@@ -86,6 +108,9 @@
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^
 
+$(SWIGRUBYCOUT): $(SWIGRUBYIF)
+	$(SWIGRUBY) $^
+
 swigify: $(SWIGIF)
 	$(SWIG) $^
 
@@ -101,6 +126,10 @@
 	test -d $(PYLIBDIR)/site-packages || install -m 755 -d $(PYLIBDIR)/site-packages
 	install -m 755 $(SWIGFILES) $(PYLIBDIR)/site-packages
 
+install-rubywrap: rubywrap
+	test -d $(RUBYINSTALL) || install -m 755 -d $(RUBYINSTALL) 
+	install -m 755 $(SWIGRUBYSO) $(RUBYINSTALL)/semanage.so
+
 relabel:
 	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
 
@@ -113,4 +142,4 @@
 indent:
 	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
 
-.PHONY: all clean pywrap swigify install install-pywrap distclean
+.PHONY: all clean pywrap rubywrap swigify install install-pywrap install-rubywrap distclean

## libsemanage 2.0.42

=== src/Makefile ===
--- 
+++ 
@@ -23,10 +23,12 @@
 YACC = bison
 YFLAGS = -d
 
+VERSION = $(shell cat ../VERSION)
 LIBVERSION = 1
 
 LIBA=libsemanage.a
 TARGET=libsemanage.so
+LIBPC=libsemanage.pc
 SWIGIF= semanageswig_python.i
 SWIGRUBYIF= semanageswig_ruby.i
 SWIGCOUT= semanageswig_wrap.c
@@ -53,7 +55,7 @@
 
 GENERATED=$(SWIGCOUT) $(SWIGRUBYCOUT) $(wildcard conf-*.[ch])
 
-all: $(LIBA) $(LIBSO) 
+all: $(LIBA) $(LIBSO) $(LIBPC)
 
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
@@ -78,6 +80,9 @@
 $(LIBSO): $(LOBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -lbz2 -lustr -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
 	ln -sf $@ $(TARGET)
+
+$(LIBPC): $(LIBPC).in
+	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
 
 conf-scan.c: conf-scan.l conf-parse.h
 	$(LEX) $(LFLAGS) -t $< > $@
@@ -119,6 +124,8 @@
 	install -m 644 $(LIBA) $(LIBDIR)
 	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
 	install -m 755 $(LIBSO) $(SHLIBDIR)
+	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
+	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
 	test -f $(DEFAULT_SEMANAGE_CONF_LOCATION) || install -m 644 -D semanage.conf $(DEFAULT_SEMANAGE_CONF_LOCATION)
 	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)
 
@@ -134,7 +141,7 @@
 	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
 
 clean: 
-	rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c
+	rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c
 
 distclean: clean
 	rm -f $(SWIGCOUT) $(SWIGFILES)

## libsemanage 2.0.45

=== include/Makefile ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	install -m 644 $(wildcard semanage/*.h) $(INCDIR)
 
 indent:
-	../../Lindent $(wildcard semanage/*.h)
+	../../scripts/Lindent $(wildcard semanage/*.h)

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Installation directories.
 PREFIX ?= $(DESTDIR)/usr
 LIBDIR ?= $(PREFIX)/lib
-SHLIBDIR ?= $(DESTDIR)/lib
+SHLIBDIR ?= $(PREFIX)/lib
 INCLUDEDIR ?= $(PREFIX)/include
 PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
 PYINC ?= /usr/include/${PYLIBVER}
@@ -10,6 +10,7 @@
 RUBYPLATFORM ?= $(shell ruby -e 'print RUBY_PLATFORM')
 RUBYINC ?= $(LIBDIR)/ruby/$(RUBYLIBVER)/$(RUBYPLATFORM)
 RUBYINSTALL ?= $(LIBDIR)/ruby/site_ruby/$(RUBYLIBVER)/$(RUBYPLATFORM)
+LIBBASE=$(shell basename $(LIBDIR))
 
 DEFAULT_SEMANAGE_CONF_LOCATION=$(DESTDIR)/etc/selinux/semanage.conf
 
@@ -82,7 +83,7 @@
 	ln -sf $@ $(TARGET)
 
 $(LIBPC): $(LIBPC).in
-	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
+	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBBASE):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
 
 conf-scan.c: conf-scan.l conf-parse.h
 	$(LEX) $(LFLAGS) -t $< > $@
@@ -127,7 +128,7 @@
 	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
 	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
 	test -f $(DEFAULT_SEMANAGE_CONF_LOCATION) || install -m 644 -D semanage.conf $(DEFAULT_SEMANAGE_CONF_LOCATION)
-	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)
+	cd $(LIBDIR) && ln -sf $(LIBSO) $(TARGET)
 
 install-pywrap: pywrap 
 	test -d $(PYLIBDIR)/site-packages || install -m 755 -d $(PYLIBDIR)/site-packages

## libsemanage 2.1.6

=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,18 @@
+# Support building the Python bindings multiple times, against various Python
+# runtimes (e.g. Python 2 vs Python 3) by optionally prefixing the build
+# targets with "PYPREFIX":
+PYTHON ?= python
+PYPREFIX ?= $(notdir $(PYTHON))
+
 # Installation directories.
 PREFIX ?= $(DESTDIR)/usr
 LIBDIR ?= $(PREFIX)/lib
 SHLIBDIR ?= $(PREFIX)/lib
 INCLUDEDIR ?= $(PREFIX)/include
-PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
-PYINC ?= /usr/include/${PYLIBVER}
-PYLIBDIR ?= $(LIBDIR)/${PYLIBVER}
+PYLIBVER ?= $(shell $(PYTHON) -c 'import sys;print("python%d.%d" % sys.version_info[0:2])')
+PYINC ?= $(shell pkg-config --cflags $(PYPREFIX))
+PYTHONLIBDIR ?= $(shell pkg-config --libs $(PYPREFIX))
+PYLIBDIR ?= $(LIBDIR)/$(PYLIBVER)
 RUBYLIBVER ?= $(shell ruby -e 'print RUBY_VERSION.split(".")[0..1].join(".")')
 RUBYPLATFORM ?= $(shell ruby -e 'print RUBY_PLATFORM')
 RUBYINC ?= $(LIBDIR)/ruby/$(RUBYLIBVER)/$(RUBYPLATFORM)
@@ -30,25 +37,26 @@
 LIBA=libsemanage.a
 TARGET=libsemanage.so
 LIBPC=libsemanage.pc
-SWIGIF= semanageswig_python.i
+SWIGIF= semanageswig_python.i semanageswig_python_exception.i
 SWIGRUBYIF= semanageswig_ruby.i
 SWIGCOUT= semanageswig_wrap.c
 SWIGRUBYCOUT= semanageswig_ruby_wrap.c
-SWIGLOBJ:= $(patsubst %.c,%.lo,$(SWIGCOUT)) 
+SWIGLOBJ:= $(patsubst %.c,$(PYPREFIX)%.lo,$(SWIGCOUT))
 SWIGRUBYLOBJ:= $(patsubst %.c,%.lo,$(SWIGRUBYCOUT)) 
-SWIGSO=_semanage.so
+SWIGSO=$(PYPREFIX)_semanage.so
 SWIGFILES=$(SWIGSO) semanage.py 
 SWIGRUBYSO=_rubysemanage.so
 LIBSO=$(TARGET).$(LIBVERSION)
 
-SWIGGEN=$(SWIGCOUT) $(SWIGRUBYCOUT)
-SRCS= $(filter-out $(SWIGGEN),$(wildcard *.c))
+GENERATED=$(SWIGCOUT) $(SWIGRUBYCOUT) semanageswig_python_exception.i
+SRCS= $(filter-out $(GENERATED),$(wildcard *.c))
 
 OBJS= $(patsubst %.c,%.o,$(SRCS)) conf-scan.o conf-parse.o
 LOBJS= $(patsubst %.c,%.lo,$(SRCS)) conf-scan.lo conf-parse.lo
-CFLAGS ?= -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter
+CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute
 
 override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE 
+RANLIB=ranlib
 
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
 
@@ -58,32 +66,35 @@
 
 all: $(LIBA) $(LIBSO) $(LIBPC)
 
-pywrap: all $(SWIGLOBJ) $(SWIGSO) 
+pywrap: all $(SWIGSO)
 
 rubywrap: all $(SWIGRUBYSO)
 
 $(SWIGLOBJ): $(SWIGCOUT)
-	$(CC) $(filter-out -Werror, $(CFLAGS)) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
+	$(CC) $(filter-out -Werror, $(CFLAGS)) $(PYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGRUBYLOBJ): $(SWIGRUBYCOUT)
-	$(CC) $(filter-out -Werror,$(CFLAGS)) -I$(RUBYINC) -fPIC -DSHARED -c -o $@ $<
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -I$(RUBYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGSO): $(SWIGLOBJ)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -L$(LIBDIR) $(PYTHONLIBDIR) -Wl,-soname,$@,-z,defs
 
 $(SWIGRUBYSO): $(SWIGRUBYLOBJ)
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -L. -lsemanage -L$(LIBDIR) -Wl,-soname,$@
 
 $(LIBA): $(OBJS)
 	$(AR) rcs $@ $^
-	ranlib $@
+	$(RANLIB) $@
 
 $(LIBSO): $(LOBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -lsepol -lselinux -lbz2 -lustr -L$(LIBDIR) -Wl,-soname,$(LIBSO),--version-script=libsemanage.map,-z,defs
 	ln -sf $@ $(TARGET)
 
-$(LIBPC): $(LIBPC).in
+$(LIBPC): $(LIBPC).in ../VERSION
 	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBBASE):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
+
+semanageswig_python_exception.i: ../include/semanage/semanage.h
+	bash exception.sh > $@
 
 conf-scan.c: conf-scan.l conf-parse.h
 	$(LEX) $(LFLAGS) -t $< > $@
@@ -112,13 +123,13 @@
 	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGCOUT): $(SWIGIF)
-	$(SWIG) $^
+	$(SWIG) $<
 
 $(SWIGRUBYCOUT): $(SWIGRUBYIF)
-	$(SWIGRUBY) $^
+	$(SWIGRUBY) $<
 
 swigify: $(SWIGIF)
-	$(SWIG) $^
+	$(SWIG) $<
 
 install: all 
 	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
@@ -132,7 +143,9 @@
 
 install-pywrap: pywrap 
 	test -d $(PYLIBDIR)/site-packages || install -m 755 -d $(PYLIBDIR)/site-packages
-	install -m 755 $(SWIGFILES) $(PYLIBDIR)/site-packages
+	install -m 755 $(SWIGSO) $(PYLIBDIR)/site-packages/_semanage.so
+	install -m 755 semanage.py $(PYLIBDIR)/site-packages
+
 
 install-rubywrap: rubywrap
 	test -d $(RUBYINSTALL) || install -m 755 -d $(RUBYINSTALL) 
@@ -142,7 +155,7 @@
 	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
 
 clean: 
-	rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c
+	-rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) conf-parse.c conf-parse.h conf-scan.c *.o *.lo *~
 
 distclean: clean
 	rm -f $(SWIGCOUT) $(SWIGFILES)

=== debian/changelog ===
libsemanage (2.1.6-6ubuntu1) raring; urgency=low

  * Add a DEB_STAGE=1 build variant that skips ruby & python bindings.
  * Fix FTBFS with multiarched python2.7.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 08 Jan 2013 22:41:24 +0000

libsemanage (2.1.6-6) unstable; urgency=low

  * Team upload.
  * Do not Conflicts with ruby transitional package, use versionized Breaks
    instead (Closes: #667066)
  * debian/gbp.conf: Change default git-buildpackage build-directory

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Jun 2012 08:47:37 +0200

libsemanage (2.1.6-5) unstable; urgency=low

  * Team upload.
  * debian/rules: Do not make tests failures fatal

 -- Laurent Bigonville <bigon@debian.org>  Thu, 29 Mar 2012 15:44:35 +0200

libsemanage (2.1.6-4) unstable; urgency=low

  * Team upload.
  * debian/control: Re-add Conflicts/Provides for the libsemanage1-dev package
  * debian/rules: Fix FTBFS, all architectures are not x86_64-linux

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Mar 2012 22:05:33 +0200

libsemanage (2.1.6-3) unstable; urgency=low

  * Team upload.
  * Switch to dh sequence, dh_python2, new ruby policy and multiarch
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Drop useless Conflicts/Replaces/Provides
    - Add missing dependencies on the -dev package
    - Add Homepage field
    - Fix short Description to please lintian
    - Update Vcs-* fields
    - Add strict version on dependency against libsemanage-common
    - Make binary packages arch:linux-any
    - Put under the Debian SELinux team maintenance
  * Move semanage.conf manpage to libsemanage-common package
  * Add debian/gbp.conf file
  * debian/rules: Append CPPFLAGS hardening flags to CFLAGS as build system is
    not using CPPFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Mar 2012 17:33:12 +0200

libsemanage (2.1.6-2) unstable; urgency=low

  * Make the python shared objects build correctly.

 -- Russell Coker <russell@coker.com.au>  Tue, 28 Feb 2012 16:12:45 +1100

libsemanage (2.1.6-1) unstable; urgency=low

  * New upstream version, add support for MCS/MLS levels for restorecon and
    lots of little changes.
  * Added new symbols semanage_get_preserve_tunables,
    semanage_set_preserve_tunables, and semanage_set_root.
  * Removed more generated files in the clean process.
  * Made tests/Makefile multi-arch aware.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Russell Coker <russell@coker.com.au>  Mon, 20 Feb 2012 18:27:21 +1100

libsemanage (2.1.0-2) unstable; urgency=low

  * s/policymanagement/policy management/ and removed needless space
    Closes: #639809, #639810

 -- Russell Coker <russell@coker.com.au>  Wed, 31 Aug 2011 16:02:17 +1000

libsemanage (2.1.0-1) unstable; urgency=low

  * New upstream version, just a version bump.
  * Made it build-depend on the latest libselinux1-dev and libsepol1-dev.
  * Made myself the maintainer.

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 15:08:50 +1000

libsemanage (2.0.46-2) unstable; urgency=low

  * Change level support in file contexts to support no MLS label
    Closes: #589515

 -- Russell Coker <russell@coker.com.au>  Mon, 29 Aug 2011 20:18:29 +1000

libsemanage (2.0.46-1) unstable; urgency=low

  * New upstream version.
  * Add support for using the level in generated file contexts.

 -- Russell Coker <russell@coker.com.au>  Wed, 05 Jan 2011 18:11:56 +1100

libsemanage (2.0.45-1) unstable; urgency=low

  * New upstream release
    * Add enable/disable patch support from Dan Walsh.
    * Add usepasswd flag to semanage.conf to disable genhomedircon using
      passwd from Dan Walsh.
    * regenerate swig wrappers
    * Replace usage of fmemopen() with sepol_policy_file_set_mem() since
      glibc < 2.9 does not support binary mode ('b') for fmemopen'd
      streams.
    * Move libsemanage.so to /usr/lib
    * Add NAME lines to man pages from Manoj Srivastava 
      <srivasta@debian.org>


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 09:11:30 -0700

libsemanage (2.0.42-1) unstable; urgency=low

  * New upstream release. 
    Move load_policy from /usr/sbin to /sbin from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 01:33:34 -0600

libsemanage (2.0.41-2) unstable; urgency=low

  * Pull out the common files under /etc from the shared library package,
    since it is a policy violation. Added a -common package to hold the
    file. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 23:51:50 -0600

libsemanage (2.0.41-1) unstable; urgency=low

  * New upstream point release
    + Add pkgconfig file.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 13:41:57 -0600

libsemanage (2.0.40-1) unstable; urgency=low

  * New upstream point release
    + Add semanage_set_check_contexts() function to disable calling
      setfiles 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Oct 2009 14:02:11 -0500

libsemanage (2.0.39-1) unstable; urgency=low

  * New upstream point release
    + Change semodule upgrade behavior to install even if the module
      is not present from Dan Walsh.
    + Make genhomedircon trim excess '/' from homedirs from Dan Walsh.
    + Fix persistent dontaudit support to rebuild policy if the 
      dontaudit state is changed from Chad Sellers.
    The first change is nice, since now you may just isntall a policy
    module using semodule, without having to check if the module was
    already in policy (ie, no distinction between install/update)
  * Bug fix: "/lib shlib links to /usr/lib shlib", thanks to Raphael
    Geissert. Moved libsemanage to /usr/lib        (Closes: #549610).
  * Pass CC, CFLAGS, Ans LDFLAGS along when compiling the python bindings
    (should help cross compilation)

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 2009 00:45:52 -0500

libsemanage (2.0.36-2) unstable; urgency=low

  * First cut at providing symbols files.


=== debian/control ===
Source: libsemanage
VCS-Git: git://anonscm.debian.org/git/selinux/libsemanage.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libsemanage.git;a=summary
Priority: optional
Section: libdevel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.3
Build-Depends: bison,
               debhelper (>= 9),
               file,
               flex,
               gem2deb (>= 0.2.13~),
               libbz2-dev,
               libcunit1-dev,
               libselinux1-dev (>= 2.1.9),
               libsepol1-dev (>= 2.1.4),
               libustr-dev,
               pkg-config,
               python-all-dev (>= 2.6.6-3~),
               swig
Homepage: http://userspace.selinuxproject.org/
X-Python-Version: >= 2.5
XS-Ruby-Versions: all

Package: libsemanage-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
Replaces: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
Multi-Arch: foreign
Description: Common files for SELinux policy management libraries
 This package provides the common files used by the shared libraries
 for SELinux policy management.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: libsemanage1
Architecture: linux-any
Section: libs
Depends: libsemanage-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: SELinux policy management library
 This package provides the shared libraries for SELinux policy management.
 It uses libsepol for binary policy manipulation and libselinux for
 interacting with the SELinux system.  It also exec's helper programs
 for loading policy and for checking whether the file_contexts
 configuration is valid (load_policy and setfiles from
 policycoreutils) presently, although this may change at least for the
 bootstrapping case
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: libsemanage1-dev
Architecture: linux-any
Depends: libbz2-dev,
         libselinux1-dev (>= 2.1.9),
         libsemanage1 (= ${binary:Version}),
         libsepol1-dev (>= 2.1.4),
         libustr-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libsemanage-dev
Conflicts: libsemanage-dev
Description: Header files and libraries for SELinux policy manipulation
 This package provides an API for the management of SELinux policies.
 It contains the static libraries and header files needed
 for developing applications that manage SELinux policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: ruby-semanage
Architecture: linux-any
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Breaks: libsemanage-ruby1.8 (<< 2.1.6-3)
Replaces: libsemanage-ruby1.8 (<< 2.1.6-3)
Provides: libsemanage-ruby1.8
Section: ruby
XB-Ruby-Versions: ${ruby:Versions}
Description: Ruby bindings to for SELinux policy management
 This package provides the Ruby bindings needed for developing Ruby
 applications that manage SELinux policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: python-semanage
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Section: python
Description: Python bindings for SELinux policy management
 This package provides Python bindings for the management of SELinux
 policies.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.

Package: libsemanage-ruby1.8
Section: oldlibs
Priority: extra
Architecture: all
Depends: ruby-semanage, ${misc:Depends}
Description: Transitional package for ruby-semanage
 This is a transitional package to ease upgrades to the ruby-semanage
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_STAGE),stage1)
export DH_OPTIONS += -Nruby-semanage -Npython-semanage -Nlibsemanage-ruby1.8
else
PYVERSIONS = $(shell pyversions -rv)
endif

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with python2 --with ruby

override_dh_auto_build:
	$(MAKE) all LIBBASE="lib/${DEB_HOST_MULTIARCH}"

ifneq ($(DEB_STAGE),stage1)
	set -ex; $(foreach py,$(PYVERSIONS), $(MAKE) pywrap PYTHON=python$(py) PYPREFIX=python-$(py);)

	$(MAKE) -C src rubywrap RUBY=ruby1.8 RUBYLIBVER=1.8

	$(MAKE) -C src rubywrap RUBY=ruby1.9.1 RUBYLIBVER=1.9.1 \
	  RUBYINC="/usr/include/ruby-1.9.1/ -I/usr/include/ruby-1.9.1/\$${RUBYPLATFORM}/"
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR="${CURDIR}/debian/tmp" \
	  LIBDIR="${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}" \
	  SHLIBDIR="${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"

ifneq ($(DEB_STAGE),stage1)
	for version in $(PYVERSIONS); do              \
	  $(MAKE) install-pywrap PYTHON=python$$version  \
	    PYPREFIX=python-$$version \
	    DESTDIR="${CURDIR}/debian/tmp" \
	    PYLIBDIR="${CURDIR}/debian/tmp/usr/lib/python$$version";   \
	done;

	$(MAKE) -C src install-rubywrap RUBY=ruby1.8 RUBYLIBVER=1.8 DESTDIR="${CURDIR}/debian/tmp" \
	    RUBYINSTALL="${CURDIR}/debian/tmp/usr/lib/ruby/vendor_ruby/\$${RUBYLIBVER}/\$${RUBYPLATFORM}";

	$(MAKE) -C src install-rubywrap RUBY=ruby1.9.1 RUBYLIBVER=1.9.1 DESTDIR="${CURDIR}/debian/tmp" \
	    RUBYINSTALL="${CURDIR}/debian/tmp/usr/lib/ruby/vendor_ruby/\$${RUBYLIBVER}/\$${RUBYPLATFORM}";
endif

override_dh_auto_clean:
ifneq ($(DEB_STAGE),stage1)
	for version in $(ALL_PY_VERSION); do              \
	  $(MAKE) clean PYTHON=python$$version;  \
	done;
endif

override_dh_install:
	dh_install --list-missing

override_dh_fixperms:
	dh_fixperms
	-chmod -x ${CURDIR}/debian/python-semanage/usr/share/pyshared/semanage.py

override_dh_auto_test:
	$(MAKE) test || true

## libsemanage 2.2

=== debian/changelog ===
libsemanage (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/max-uid: Merged upstream
    - Drop debian/patches/fix_swig_python_exception.patch: Merged upstream
    - debian/control:
      + Bump {build-}dependencies to match new release
      + Add libaudit-dev to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 23:24:34 +0100

libsemanage (2.1.10-3) unstable; urgency=low

  * Team upload.
  * debian/patches/disable-expand-check.patch: Disable expand-check option by
    default to speedup semodule operations (Closes: #724999)
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/rules: Stop building binding for ruby 1.8 and start building it for
    ruby 2.0 (Closes: #720220)
  * debian/control, debian/rules: Drop libsemanage-ruby1.8 transitional
    package
  * debian/control: Use canonical URL for VCS-Git field

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Oct 2013 21:25:16 +0200

libsemanage (2.1.10-2) unstable; urgency=low

  * Team upload.
  * debian/control: Add Build-dependency against pkg-config
  * debian/rules: Do not build the bindings if we are in "stage1", this help to
    bootstrap new architectures (Closes: #708404)
  * debian/rules: Fix FTBFS with multiarched python
  * debian/patches/fix_swig_python_exception.patch: Fix the generation of the
    semanageswig_python_exception.i file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 May 2013 19:21:45 +0200

libsemanage (2.1.10-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump (build-) dependencies to match the release
    - debian/patches/max-uid: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 May 2013 00:04:07 +0200

libsemanage (2.1.9-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/fallback-user-level, applied upstream
    - Drop debian/patches/no-link-libpython.patch, applied upstream
    - Refreshed debian/patches/makefile
    - Drop debian/patches/prefix-rubymodule.patch, applied upstream
    - Drop debian/patches/python-semanage-make, not needed anymore
    - debian/patches/max-uid: Drop useless changes
    - Bump libsepol1 and libselinux1 {build-}dependencies
    - debian/rules: Also pass RUBYINC for ruby 1.8 and add missing -I for 1.9
    - Drop debian/patches/makefile, not needed anymore
  * Update debian/watch file
  * debian/gbp.conf: Change the debian-branch to "debian" instead of "upstream"

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2012 14:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libsemanage
-VCS-Git: git://anonscm.debian.org/git/selinux/libsemanage.git
+VCS-Git: git://anonscm.debian.org/selinux/libsemanage.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libsemanage.git;a=summary
 Priority: optional
 Section: libdevel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: bison,
                debhelper (>= 9),
                file,
                flex,
                gem2deb (>= 0.2.13~),
+               libaudit-dev,
                libbz2-dev,
                libcunit1-dev,
-               libselinux1-dev (>= 2.1.9),
-               libsepol1-dev (>= 2.1.4),
+               libselinux1-dev (>= 2.2),
+               libsepol1-dev (>= 2.2),
                libustr-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
@@ -75,9 +75,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.1.9),
+         libselinux1-dev (>= 2.2),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.1.4),
+         libsepol1-dev (>= 2.2),
          libustr-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -101,9 +101,6 @@
 Package: ruby-semanage
 Architecture: linux-any
 Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
-Breaks: libsemanage-ruby1.8 (<< 2.1.6-3)
-Replaces: libsemanage-ruby1.8 (<< 2.1.6-3)
-Provides: libsemanage-ruby1.8
 Section: ruby
 XB-Ruby-Versions: ${ruby:Versions}
 Description: Ruby bindings to for SELinux policy management
@@ -137,12 +134,3 @@
  of many kinds of mandatory access control policies, including those
  based on the concepts of Type Enforcement, Role-based Access
  Control, and Multi-level Security.
-
-Package: libsemanage-ruby1.8
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ruby-semanage, ${misc:Depends}
-Description: Transitional package for ruby-semanage
- This is a transitional package to ease upgrades to the ruby-semanage
- package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_STAGE),stage1)
export DH_OPTIONS += -Nruby-semanage -Npython-semanage
else
PYVERSIONS = $(shell pyversions -rv)
endif

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with python2 --with ruby

override_dh_auto_build:
	$(MAKE) all LIBBASE="lib/${DEB_HOST_MULTIARCH}"

ifneq ($(DEB_STAGE),stage1)
	for version in $(PYVERSIONS); do              \
	  $(MAKE) pywrap PYTHON=python$$version  \
	    PYPREFIX=python-$$version;  \
	done;

	$(MAKE) -C src rubywrap RUBY=ruby1.9.1 RUBYLIBVER=1.9.1 \
	  RUBYINC="-I/usr/include/ruby-1.9.1/ -I/usr/include/ruby-1.9.1/\$${RUBYPLATFORM}/"

	$(MAKE) -C src rubywrap RUBY=ruby2.0 RUBYLIBVER=2.0.0 \
	  RUBYINC="-I/usr/include/ruby-2.0.0/ -I/usr/include/\$${RUBYPLATFORM}/ruby-2.0.0/"
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR="${CURDIR}/debian/tmp" \
	  LIBDIR="${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}" \
	  SHLIBDIR="${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"

ifneq ($(DEB_STAGE),stage1)
	for version in $(PYVERSIONS); do              \
	  $(MAKE) install-pywrap PYTHON=python$$version  \
	    DESTDIR="${CURDIR}/debian/tmp" \
	    PYPREFIX=python-$$version;  \
	done;

	$(MAKE) -C src install-rubywrap RUBY=ruby1.9.1 RUBYLIBVER=1.9.1 DESTDIR="${CURDIR}/debian/tmp" \
	    RUBYINSTALL="${CURDIR}/debian/tmp/usr/lib/ruby/vendor_ruby/\$${RUBYLIBVER}/\$${RUBYPLATFORM}";

	$(MAKE) -C src install-rubywrap RUBY=ruby2.0 RUBYLIBVER=2.0.0 DESTDIR="${CURDIR}/debian/tmp" \
	    RUBYINSTALL="${CURDIR}/debian/tmp/usr/lib/\$${RUBYPLATFORM}/ruby/vendor_ruby/\$${RUBYLIBVER}";
endif

override_dh_auto_clean:
ifneq ($(DEB_STAGE),stage1)
	for version in $(PYVERSIONS); do              \
	  $(MAKE) clean PYTHON=python$$version;  \
	done;
endif

override_dh_install:
	dh_install --list-missing

override_dh_fixperms:
	dh_fixperms
	-chmod -x ${CURDIR}/debian/python-semanage/usr/share/pyshared/semanage.py

override_dh_auto_test:
	$(MAKE) test || true
